# Scripts for the browser-based game Tribal Wars.

## Installation

1. Add [Tampermonkey](https://chrome.google.com/webstore/detail/tampermonkey/dhdgffkkebhmkfjojejmpbldmpobfkfo) to your browser.
2. Select a script that you wish to use from the list below, then copy the code.
3. Open Tampermonkey in your browser and click the 'Add Script' tab.
4. Paste the code, hit save (shortcut: CTRL + s).
5. The script should be visible in the game.

## Scripts

- [The latest ennoblements](#1-the-latest-ennoblements)
- [Extended player profile](#2-extended-player-profile)
- [Extended tribe profile](#3-extended-tribe-profile)
- [Extended village profile](#4-extended-village-profile)
- [Bonus barbarian village finder](#5-bonus-barbarian-village-finder)
- [Daily achievements](#6-daily-achievements)
- [Extended map popup](#7-extended-map-popup)
- [Map coords picker](#8-map-coords-picker)
- ['In A Day' tribe ranking generator](#9-in-a-day-tribe-ranking-generator)
- [War stats generator](#10-war-stats-generator)

### 1. The latest ennoblements

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/latestEnnoblements.js)

This script shows you the latest ennoblements from your server (from the last hour).

![Screenshot](/screenshots/latestEnnoblements.png?raw=true)

### 2. Extended player profile

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/extendedPlayerProfile.js)

This script adds new actions and pieces of information to the player profile.

- Daily growth
- Best rank
- Join date
- Most points
- Most villages
- Player's other worlds
- Player's other names
- Today's stat changes
- 'In a day' best scores

New actions:

- Show player changes
- Show player history
- Show player ennoblements
- Export player villages

![Screenshot](/screenshots/extendedPlayerProfile.png?raw=true)

### 3. Extended tribe profile

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/extendedTribeProfile.js)

This script adds new actions and pieces of information to the tribe profile.

- Dominance
- Best rank
- Create date
- Most points
- Most villages
- Today's stat changes
- OD, ODA, ODD, ODS ranks and scores to tribe members

New actions:

- Show tribe changes
- Show tribe history
- Show members growth
- Show tribe ennoblements
- Generate mailing list
- Export tribe villages

![Screenshot](/screenshots/extendedTribeProfile.png?raw=true)

### 4. Extended village profile

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/extendedVillageProfile.js)

This script adds new actions and pieces of information to the village profile.

- Possible loyalty
- Last ennoble date

New actions:

- Show ennoblements
- Count incoming support

![Screenshot](/screenshots/extendedVillageProfile.png?raw=true)

### 5. Bonus barbarian village finder

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/bonusBarbarianVillageFinder.js)

With this script, you can easily find bonus barbarian villages.

![Screenshot](/screenshots/bonusBarbarianVillageFinder.png?raw=true)

### 6. Daily achievements

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/dailyAchievements.js)

![Screenshot](/screenshots/dailyAchievements.png?raw=true)

Have you ever wondered who has AOTD, DOTD, SOTD? Then this script might be useful for you! (This script isn't 100% accurate, but in most cases should be enough to determine who is on top today).

### 7. Extended map popup

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/extendedMapPopup.js)

Adds to the popup:

- Information about possible loyalty
- Date of the last ennoblement
- Information if you can send a nobleman from the current village
- Unit arrival time

![Screenshot](/screenshots/extendedMapPopup.png?raw=true)

### 8. Map coords picker

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/mapCoordsPicker.js)

![Screenshot](/screenshots/mapCoordsPicker.png?raw=true)

### 9. 'In A Day' tribe ranking generator

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/inADayTribeRankingGenerator.js)

![Screenshot](/screenshots/inADayTribeRankingGenerator.png?raw=true)
![Screenshot](/screenshots/inADayTribeRankingGenerator2.png?raw=true)

### 10. War stats generator

[Code](https://raw.githubusercontent.com/tribalwarshelp/scripts/master/dist/warStatsGenerator.js)

![Screenshot](/screenshots/warStatsGenerator.png?raw=true)

## License

Distributed under the MIT License. See ``LICENSE`` for more information.

## Contact

Dawid Wysokiński - [contact@dwysokinski.me](mailto:contact@dwysokinski.me)
